jQuery(document).on('click', '#Testbutton1', function (e) {
	/* Erst mal das Standardverhalten unterdrücken */
	e.preventDefault();
	$.ajax({
		type: "POST",
		url: 'api.php?trigger=Testbutton1',
		data: {name: 'active'},
		success: function (data, textStatus, jqXHR) {
			jQuery('.request-target-1').html(data);
		}
	});
});


document.querySelector('#Testbutton2').addEventListener('click', async () => {
	const response = await fetch('api.php?trigger=Testbutton2', {
		method: 'POST',
		headers: {
			'Content-Type': 'application/json',
			'Access-Control-Allow-Headers': '*'
		},
		body: JSON.stringify({name: 'active'})
	})
		.then(response => response.text())
		.then(data => {
			jQuery('.request-target-2').html(data);
		});
});