<?php
	
	# Zum Testen kannst du die Fehlerausgabe einschalten:
	ini_set('display_errors', '1');
	error_reporting(E_ALL);
	
	# Loader einbinden
	require_once __DIR__ . '/load.php';
	
	echo "<!doctype html>";
?>
<html>
	<head>
		<meta charset='UTF-8'>
		<title>Testing</title>
		<link rel='stylesheet' type='text/css' href='assets/css/default.css'>
	</head>
	<body>
		
		<table>
			<tr>
				<td>
					<a href='#' id='Testbutton1'>jQuery / AjAX</a>
				</td>
				<td>
					<a href='#' id='Testbutton2'>Fetch</a>
				</td>
				<td>
					Standard-Formular
				</td>
			</tr>
			<tr>
				<td>
					<div class='request-target request-target-1'>Testbutton1 Response kommt hier rein</div>
				</td>
				<td>
					<div class='request-target request-target-2'>Testbutton2 Response kommt hier rein</div>
				</td>
				<td>
					<form method='post' action='index.php'>
						<input type='text' name='eingabe1' value='Irgendein Text'>
						<button type='submit' name='form_abgesendet'>Formular absenden</button>
					</form>
					<div class='request-target request-target-3'>
						<?php
							if (isset($_POST['form_abgesendet'])) {
								echo 'Inhalt von $_POST:';
								echo xdump($_POST);
							} else {
								echo "Testbutton3 Response kommt hier rein";
							}
						?>
					</div>
				</td>
			</tr>
		</table>
		
		<script src="assets/js/jquery.min.js"></script>
		<script src="assets/js/test.js"></script>
	
	</body>
</html>
	